
textures/esa_O/dirt_mirror
{
	nopicmip
	qer_editorimage textures/esa_O/dirt_mirror.jpg
	surfaceparm nolightmap
	portal
	{
		map textures/esa_O/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
    {
        map textures/esa_O/dirt_mirror.jpg
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
}

textures/esa_O/glass_blue
{
	qer_editorimage textures/esa_O/glass_blue
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/glass/blueglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/esa_O/glass_dark
{
	qer_editorimage textures/esa_O/glass_dark
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/esa_O/darkglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/esa_O/Light_flare
{
    deformVertexes autosprite
    surfaceparm   trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight   3000   
	cull none
   {
		map textures/ut/ut_suburb3/corona_red.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identityLighting
   }
}

textures/esa_O/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

// Playerclip & Weapon material
textures/esa_O/pwclip
{
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm weaponclip
	surfaceparm playerclip
}

textures/esa_O/graph
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/graph.tga
	   blendfunc filter
	}
}

textures/esa_O/graph2
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/graph2.tga
	   blendfunc filter
	}
}

textures/esa_O/graph_pinup
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/pinup_t.jpg
	   blendfunc filter
	}
}

textures/esa_O/bug_graph
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/bug_icon.jpg
	   blendfunc filter
	}
}

textures/esa_O/Kr0t4L_graph
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/Kr0t4L_icon.jpg
	   blendfunc filter
	}
}


textures/esa_O/graph_sign1
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/sign1.jpg
	   blendfunc filter
	}
}

textures/esa_O/graph_sign2
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/sign2.jpg
	   blendfunc filter
	}
}

textures/esa_O/graph_sign3
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/sign3.jpg
	   blendfunc filter
	}
}

textures/esa_O/graph_signInf
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/signInf.jpg
	   blendfunc filter
	}
}

textures/esa_O/graph_signNucl
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/signNucl.jpg
	   blendfunc filter
	}
}

textures/esa_O/graph_signBioH
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/signBioH.jpg
	   blendfunc filter
	}
}

textures/esa_O/graph_signMasq
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/signMasq.jpg
	   blendfunc filter
	}
}

textures/esa_O/graph_signSigle
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/signSigle.jpg
	   blendfunc filter
	}
}

textures/esa_O/graph_sign27
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa_O/sign27.jpg
	   blendfunc filter
	}
}

textures/esa_O/skystars // by TwentySeven (thx to him)
{
	qer_editorimage textures/esa_O/sky_stars.jpg	  
	q3map_skylight 400 9
	q3map_lightRGB 197 255 240
	q3map_color 
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	nopicmip
	nomipmaps
	skyparms env/box271/box271 - -
}

// Bubbles Particle Shaders
textures/esa_bubbles/bubble_1
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -1.745047 4.237747 119.912453 sawtooth 0 1 1.951598 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.951598 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 1.951598 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 1.951598 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_2
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -2.403677 -4.548136 119.889694 sawtooth 0 1 0.311777 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.311777 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 0.311777 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 0.311777 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_3
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 5.409634 -2.139310 119.858902 sawtooth 0 1 1.232093 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.232093 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 1.232093 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 1.232093 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_4
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 0.311271 -4.861670 119.901077 sawtooth 0 1 0.539262 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.539262 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 0.539262 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 0.539262 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_5
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 0.043105 -5.364431 119.880035 sawtooth 0 1 1.795892 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.795892 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 1.795892 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 1.795892 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_6
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 1.960227 -0.131435 119.983910 sawtooth 0 1 1.226173 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.226173 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 1.226173 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 1.226173 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_7
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 5.456046 2.737057 119.844658 sawtooth 0 1 0.040651 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.040651 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 0.040651 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 0.040651 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_8
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 2.862460 -5.094085 119.857651 sawtooth 0 1 1.948058 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.948058 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 1.948058 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 1.948058 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_9
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -5.725561 0.995432 119.859192 sawtooth 0 1 0.411206 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.411206 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 0.411206 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 0.411206 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_10
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -3.940976 2.732337 119.904144 sawtooth 0 1 0.107547 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.107547 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 0.107547 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 0.107547 0.333333
		blendfunc blend
	}
}

textures/esa_O/holo_guy
{
	qer_trans 0.4
	surfaceparm nonopaque
	surfaceparm nonsolid
	surfaceparm trans
	q3map_nolightmap
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	cull none
	deformvertexes autosprite2
	{
		clampmap textures/esa_O/holog.jpg
		blendFunc GL_ONE GL_ONE
		alphaGen const 0.4
		rgbGen wave sin 0.75 0.05 0 5
	}
}

textures/esa_O/beam_blue
{
	qer_editorimage textures/esa_O/beam_blue4.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	cull none
	{
		map textures/esa_O/beam_blue4.tga
		tcMod Scroll .3 0
         blendFunc add
       }
     
}